Complete Run
Save the final report and complete the run.
Path Parameters
run_id*Run Id
Format
uuidHeader Parameters
x-workspace-id?|
Workspace UUID for session-authenticated calls.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Completion command input.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/optimization-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/complete" \ -H "Content-Type: application/json" \ -d '{ "lease_id": "2bb93227-93ec-4b58-a0aa-93b5a1121b74", "checkpoint_sha256": "string", "agent_turns": 0, "report": "string" }'{ "status": "preparing", "agent_turns": 0, "completed_at": "2019-08-24T14:15:22Z"}